<div class="oj-flex">
  <h1 class="oj-flex-item oj-sm-12 oj-md-12">Create Environment</h1>
</div>
<div class="oj-flex">
  <oj-form-layout label-edge="start" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-select-one value="{{ $page.variables.environmentBO.teancyName }}" readonly="false" label-hint="teancyName" options="[[ $page.variables.tenancyBOListSDP ]]" options-keys.value="id" options-keys.label="tenancyName"></oj-select-one>
    <oj-select-one value="{{ $page.variables.environmentBO.compartment }}" readonly="false" label-hint="Compartment" options="[[ $page.variables.compartmentBOListSDP ]]" options-keys.value="id" options-keys.label="compartmentName"></oj-select-one>
    <oj-select-one value="{{ $page.variables.environmentBO.productName }}" readonly="false" label-hint="productName" options="[[ $page.variables.productLovBOListSDP ]]" options-keys.value="id" options-keys.label="productName"></oj-select-one>
    <oj-input-text value="{{ $page.variables.environmentBO.environmentName }}" readonly="false" label-hint="Environment Name" required="true"></oj-input-text>
    <oj-input-text value="{{ $page.variables.environmentBO.uRL }}" readonly="false" label-hint="URL" virtual-keyboard="url" validators='[{"type":"regexp", "options":{"pattern":".*", "hint":"Enter a valid URL", "messageDetail": "Value must be a valid URL"}}]'></oj-input-text>    
    <oj-input-text value="{{ $page.variables.environmentBO.comments }}" readonly="false" label-hint="Comments"></oj-input-text>
    <oj-input-text value="{{ $page.variables.environmentBO.administrator }}" readonly="false" label-hint="Administrator" display-options="hidden"></oj-input-text>
    <oj-input-text value="{{ $page.variables.environmentBO.administratorEmail }}" readonly="false" label-hint="Administrator Email" virtual-keyboard="email" validators='[{"type":"regexp", "options":{"pattern":"([a-zA-Z0-9_\\-\\.]+)@([a-zA-Z0-9_\\-\\.]+)\\.([a-zA-Z]{2,5})", "hint":"Enter an email address.", "messageDetail": "Value must be of the form xxx@xxx.xx"}}]'></oj-input-text>
  </oj-form-layout>
</div>
<div class="oj-flex">
  <oj-toolbar chroming="full" class="oj-flex-item oj-sm-12 oj-md-12">
    <oj-button on-oj-action="[[$page.listeners.backButtonClicked]]">Cancel</oj-button>
    <oj-button on-oj-action="[[$page.listeners.saveButtonClicked]]">Save</oj-button>
  </oj-toolbar>
</div>
